Subject: public-inbox.org/git/*/s/ endpoints struggling

From: Eric Wong <[email-masked]>
Date: Sun, 7 Apr 2024 09:29:04 +0000

The blob reconstruction endpoints (aka the WWW version of `lei
blob') have been hammered by bots while I'm gathering data to
reproduce (and hopefully fix) fragmentation problems in
dlmalloc-based allocators.  The data gathering is silly
expensive all around and I'm on old and slow hardware and
intentionally ramped up bot traffic to gather more data.  I've
tweaked robots.txt for now, but it will take some time to take
effect and I'm also distracted with offline crap.

AFAIK, nobody else is running instances with blob reconstruction
enabled, yet (the feature has existed since 2019).  It's a
PITA to configure but I've been doing extensive work to make it
easier to configure and use.